:root{
    --color-light: #FFFFFF;
    --color-dark: #000000;
    --font-primary: 'Work Sans';
    --font-secondary: 'Crimson Text';
    --color-primary: #F25C05;
}

header {
    background-color: var(--color-primary);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 120px;
    padding: 35px 0;
    z-index: 2;
}

footer {
    background-color: var(--color-primary);
    width: 100%;
    height: 120px;
    padding: 35px 0;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-links {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-links a {
    text-decoration: none;
    color: white;
    padding: 12px 15px;
}

.page1 {
    font-family: var(--font-primary);
    font-style: normal;
    color: var(--color-light);
    background-color: var(--color-primary);
    line-height: 125%;
    padding-top: 20px;
    padding-bottom: 60px;
}

.page1 .welcome { 
    font-weight: 700;
    font-size: 16px;
    letter-spacing: 5px;
    text-transform: uppercase;
}

.page1 h1 {
    font-weight: 700;
    font-size: 40px;
    font-family: var(--font-secondary), serif;
}

.page1 p {
    font-weight: 400;
    font-size: 15px;
}

.page1 .explore {
    background: var(--color-light);
    border-radius: 5px;
    width: 170px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.page1 .explore a {
    text-decoration: none;
    font-weight: 400;
    font-size: 20px;
    color: var(--color-dark);
}

.page1 .welcome-text {
    max-width: 416px;
}

main {
    padding-top: 120px;
}

.page1 img {
    width: 100%;
}

.image-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.page2 {
    background-color: var(--color-light);
    text-align: left;
    font-family: var(--font-primary), sans-serif;
    line-height: 125%;
    font-style: normal;
}

.page2 .text-introduction h1, .portofolio .text-introduction h1, .services .text-introduction h1, .contact .text-introduction h1 {
    font-weight: 700;
    font-size: 40px;
    color: var(--color-dark);
    font-family: var(--font-secondary), serif;
    margin-bottom: 16px;
    text-align: center;
}

.page2 .text-introduction h2, .portofolio .text-introduction h2, .services .text-introduction h2, .contact .text-introduction h2 {
    font-weight: 400;
    font-size: 20px;
    font-family: var(--font-primary), sans-serif;
    color: var(--color-dark);
    text-align: center;
}

.learn-btn {
    background-color: var(--color-dark);
    color: var(--color-light);
    border-radius: 5px;
    font-weight: 400;
    font-size: 20px;
    font-family: var(--font-secondary), sans-serif;
    width: 170px;
    height: 48px;
    text-align: center;
    padding: 10px 25px 10px;
}

.page2 .images{
    margin: 55px 0;
    text-align: center;
}

.page2 .row {
    margin-right: 0;
}

.page2 a, .portofolio a, .services a, .contact a {
    text-decoration: none;
    color: var(--color-light);
    font-family: var(--font-primary), sans-serif;
}

.page2 .gray-text {
    font-weight: 400;
    font-size: 15px;
    line-height: 125%;
    color: rgba(33, 37, 41, 0.5);
    mix-blend-mode: normal;
    font-family: var(--font-primary), sans-serif;
}

.page2 .yellow-text, .portofolio .yellow-text, .services .yellow-text {
    color: #F3D92C;
    font-weight: 700;
    font-size: 16px;
    letter-spacing: 5px;
    text-transform: uppercase;
    padding-top: 60px;
    text-align: center;
}

.page2 .card {
    box-shadow: 3px 4px 12px 1px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    max-width: 252px;
    margin: auto;
    margin-top: 35px;
}

.page2 .card-img {
    padding: 20px 52px;
}

.page2 .card-body h1 {
    font-weight: 700;
    font-size: 24px;
    font-family: var(--font-secondary), serif;
    color: var(--color-dark);
    text-align: left;
}

.page2 .card-body p {
    font-weight: 400;
    font-size: 15px;
    font-family: var(--font-primary), sans-serif;
    color: rgba(33, 37, 41, 0.75);
    text-align: left;
}

.footer-container p{
    color: var(--color-light);
    font-family: var(--font-primary), sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 125%;
}

.portofolio .images {
    margin: 0 auto;
    margin-bottom: 60px;
    text-align: center;
}

.services .card {
    max-width: 340px;
    background: var(--color-light);
    box-shadow: 3px 4px 12px 1px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    text-align: center;
    font-family: var(--font-primary), sans-serif;
    font-style: normal;
    line-height: 125%;
}

.services .card-body li {
    list-style-image: url('./images/check.png');
    text-align: left;
    font-weight: 400;
    font-size: 15px;
    color: #212529;
    list-style-position: inside;
    margin-bottom: 10px;
}

.services .card-body .learn-btn {
    margin-top: 40px;
}

.services .card-body h2 {
    font-weight: 400;
    font-size: 15px;
}

.services .card-body h3 {
    font-weight: 700;
    font-size: 40px;
    padding-bottom: 10px;
}

.services .card-body .month {
    font-weight: 400;
    font-size: 15px;
    color: rgba(33, 37, 41, 0.5);
    vertical-align: middle;
}

.services .card-body p {
    font-weight: 400;
    font-size: 15px;
    color: rgba(33, 37, 41, 0.5);
    margin-bottom: 55px;
}

.contact {
    font-family: var(--font-primary), sans-serif;
    line-height: 125%;
    font-style: normal;
    background-color: var(--color-light);
}

.contact input {
    width: 100%;
    height: 38px;
    background: #EEEEEE;
    border: 1px solid #000000;
    border-radius: 5px;
}

.contact .message {
    height: 75px;
}

.contact .learn-btn {
    width: 100%;
}

.contact .form-label {
    font-weight: 400;
    font-size: 20px;
}

.contact .fields {
    margin-bottom: 39px;
}

.contact img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contact .container {
    margin-top: 30px;
    margin-bottom: 90px;
}
.contact .container-fluid {
    margin: 0;
}

/*Desktop*/
@media (min-width: 1200px) {
    .page2 .container-text {
        padding: 60px;
    }
}

/*Mobile*/
@media (max-width: 767px) {
    header {
        padding: 16px 20px;
        height: 72px;
    }

    .logo-link img {
        height: 38px;
    }

    .nav-links-container {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        background-color: var(--color-primary);
        padding: 30px 0;
        display: none;
    }

    .nav-links {
        display: inline;
    }

    .nav-links-container a {
        display: inline-block;
    }

    .mobile-menu-close {
        position: absolute;
        top: 16px;
        right: 32px;
       
    }

    .mobile-menu-close, .mobile-menu-open {
        background-color: transparent;
        border: none;
        color: var(--color-light);
        font-size: 20px;
        width: 44px;
        height: 44px;
        padding: 0;
    }

    .nav-links-container.open {
        display: flex;
    }

    main {
        padding-top: 72px;
    }

    .revert-on-mobile {
        flex-direction: column-reverse;
    }

    .revert-on-mobile div[class^="col-"] {
        padding: 0 20px;
    }
    
    .page1 .welcome-text {
        margin-top: 30px;
    }

    .page1 .welcome-text h1, .portofolio .text-introduction h1, .services .text-introduction h1, .contact .text-introduction h1 {
        font-size: 24px;
    }

    .page2 h1, .portofolio h1, .services h1, .contact h1 {
        font-size: 24px;
    }

    .page2 img {
        margin-bottom: 30px;
    }

    .contact .message {
        height: 140px;
    }

    .contact .image {
        padding: 0;
    }

}

@media (min-width:768px){
    .mobile-menu-close, .mobile-menu-open {
        display: none;
    }
}